Index: /applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/AlgorithmDescription.tex.backup
===================================================================
--- /applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/AlgorithmDescription.tex.backup (revision 1147)
+++ /applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/AlgorithmDescription.tex.backup (revision 1150)
@@ -57,5 +57,5 @@
     UI::get(inputs,set,"inputs",UI::compulsory);
 \end{lstlisting}
-zapíše na adresu proměnné inputs hodnotu v oběktu \texttt{set} třídy \texttt{Setting},
+zapíše na adresu proměnné \texttt{inputs} hodnotu v objektu \texttt{set} třídy \texttt{Setting},
 označenou jako \texttt{\"inputs\"}. Oběkt \texttt{set} reprezentuje načtený konfigurační soubor.
 \texttt{UI::compulsory} značí, že daná hodnota musí být zadána.
@@ -159,4 +159,16 @@
 \end{center}
 \end{figure}
+
+
+V reálném případě je potřeba vypočítat délku fronty podle záznamů z detektorů.
+Prostý výpočet délky fronty například jako rozdíl počtu vozidel, která odjela a která přiela však není možný.
+V důsledku problémů popsaných v \ref{sss:zpracovani_dat}. Výpočet délky fronty není předmětem zkoumání této práce.
+Podrobnější pojednání o tomto problému lze najít například v \cite{pecherkova}.
+\\
+\\
+Protože časté přenastavování délky cyklu působí řadičům problémy, přenastavuje se tento parametr jednou za časový
+úsek, ktrý je několikanásobně delší než 90 sekund. Je tedy nutné modelovat časový průběh fronty. Při rozšiřování testovacího
+prostředí tento model ovlivní i údaj o počtu vozidel, které přijedou ze sousední křižovatky. Tento ůdaj závisí na délce cyklu
+a není agentovy dostupný přímo. Bude tedy nutné rozšířit komunikaci agentů, popsanou v \ref{ss:komunikace}, o tento údaj.
 
 
@@ -191,5 +203,5 @@
  \item[tc\_last] zbytek odhadovací periody
  \item[gt\_last] délka zelené ve zbytku odhadovací periody
- \item[delta] korekční parametr vyjadřuje zkrácení průjezdnosti vlivem pomalých rozjezdů a podpbně
+ \item[delta] korekční parametr vyjadřuje zkrácení doby průjezdnosti vlivem pomalých rozjezdů a podpbně
 \end{description}
 Odhad je implementován v metodě \texttt{getWT}:
@@ -230,30 +242,4 @@
 
 
-\subsection{Odhad parametru $\delta$}
-Delta vyjadřuje korekční parametr doby průjezdnosti křižovatky.
-Jak jsme již ukázali v kapitole \ref{ss:odhad_cekaci_doby}, počet vozidel, které projedou křižovatkou
-za jeden cyklus řadiče je
-$$
-(r_g T_c - \delta) s_s.
-$$
-To znamená že pokud je fronta větší, než $(r_g T_c - \delta) s_s$, mměla by se její velikost za dobu $T_c$
-změnit o 
-$$
-\Delta q_{T_c} = n_{Tc} - (r_g T_c - \delta) s_s,
-$$
-
-kde $n_{Tc}$ je počet vozidel, přijíždějících na křižovatku za dobu $T_c$.
-Tento údaj je vlastně výstup z detektorů, který je nám však dostupný pouze
-jednou za simulační cyklus, trvající 90 sekund. Protože pracujeme s filtrovanými hodnotami front,
-nedojde k velké chybě, pokud výraz přepočítáme na 90 sekund do podoby
-$$
-\Delta q_{90} = n_{90} - \frac{90}{T_c}(r_g T_c - \delta) s_s =  n_{90} - 90 r_g s_s - \frac{90 s_s}{T_c} \delta,
-$$
-z čehož si parametr $\delta$ vyjádříme jako
-$$
-\delta = \frac{T_c}{90 s_s} \left( n_{90} - \Delta q_{90} \right) - r_g.
-$$
-Jak údaje o projíždejících vozidlech za simulační cyklus $n_{90}$, tak parametry $\delta$, jsou filtrovány
-způsobem, použitým na odhad délky fronty a popsaným v kapitole \ref{ss:odhad_fronty}.
 
 \section{Hlavní smyčka}
@@ -331,5 +317,5 @@
 
 
-\subsubsection{Metoda receive a broadcast}
+\subsubsection{Metoda receive a broadcast} \label{ss:komunikace}
 Po načtení a zpracování dat začíná komunikace. Ta je realizována metodami
 \texttt{broadcas} a \texttt{receive}, které se volají střídavě. Přesněji řečeno,
@@ -359,5 +345,4 @@
 Zisk se počítá jako rozdíl čekací doby při navrhované a stávající délce cyklu pomocí metody popsané v \ref{ss:odhad_cekaci_doby}.
 Odeslání těchto zpráv je realizováno kódem
-\newpage
 \begin{lstlisting}
   int broadcast_width = (max_tc - min_tc) + 1;
@@ -384,5 +369,5 @@
 
 
-\subsubsection{Metoda act}
+\subsubsection{Metoda act}\label{sss:metoda_act}
 Pokud se agenti dohodly na změně délky cyklu, probíhá její přenastavení v metodě act.
 Nejprve se projde pole \texttt{received\_profit\_sum} a vybere se z něj maximum.
Index: /applications/doprava/texty/delka_cyklu/bak.blg
===================================================================
--- /applications/doprava/texty/delka_cyklu/bak.blg (revision 1142)
+++ /applications/doprava/texty/delka_cyklu/bak.blg (revision 1150)
@@ -1,47 +1,46 @@
 This is BibTeX, Version 0.99c (TeX Live 2009/Debian)
 The top-level auxiliary file: bak.aux
-The style file: Styles/Skripta.bst
-I found no \citation commands---while reading file bak.aux
+The style file: czechiso.bst
 Database file #1: Styles/Refer.bib
-You've used 0 entries,
-            2936 wiz_defined-function locations,
-            643 strings with 4772 characters,
-and the built_in function-call counts, 32 in all, are:
-= -- 0
-> -- 0
-< -- 0
-+ -- 0
-- -- 0
-* -- 0
-:= -- 18
-add.period$ -- 0
-call.type$ -- 0
-change.case$ -- 0
+Reallocated wiz_functions (elt_size=4) to 6000 items from 3000.
+You've used 6 entries,
+            3151 wiz_defined-function locations,
+            678 strings with 5927 characters,
+and the built_in function-call counts, 2342 in all, are:
+= -- 170
+> -- 38
+< -- 5
++ -- 20
+- -- 10
+* -- 120
+:= -- 241
+add.period$ -- 12
+call.type$ -- 6
+change.case$ -- 20
 chr.to.int$ -- 0
-cite$ -- 0
-duplicate$ -- 0
-empty$ -- 1
-format.name$ -- 0
-if$ -- 1
-int.to.chr$ -- 5
-int.to.str$ -- 0
-missing$ -- 0
-newline$ -- 3
-num.names$ -- 0
-pop$ -- 0
+cite$ -- 6
+duplicate$ -- 245
+empty$ -- 257
+format.name$ -- 11
+if$ -- 527
+int.to.chr$ -- 0
+int.to.str$ -- 6
+missing$ -- 55
+newline$ -- 28
+num.names$ -- 6
+pop$ -- 113
 preamble$ -- 1
-purify$ -- 0
+purify$ -- 20
 quote$ -- 0
-skip$ -- 1
+skip$ -- 94
 stack$ -- 0
-substring$ -- 0
-swap$ -- 0
-text.length$ -- 0
+substring$ -- 97
+swap$ -- 132
+text.length$ -- 5
 text.prefix$ -- 0
 top$ -- 0
-type$ -- 0
+type$ -- 20
 warning$ -- 0
-while$ -- 0
-width$ -- 0
-write$ -- 2
-(There was 1 error message)
+while$ -- 12
+width$ -- 7
+write$ -- 58
Index: /applications/doprava/texty/delka_cyklu/00_Chapters/Acknow.tex~
===================================================================
--- /applications/doprava/texty/delka_cyklu/00_Chapters/Acknow.tex~ (revision 1150)
+++ /applications/doprava/texty/delka_cyklu/00_Chapters/Acknow.tex~ (revision 1150)
@@ -0,0 +1,2 @@
+Rád bych poděkoval vedoucímu práce, Ing. Václavu Šmídlovi, Ph.D. a odbrnému konzultantovi, Dr. Ing. Janu Přikrilovi, Ph.D. za odborné vedení a nemalé úsilí
+vynaložené při tvorbě této práce.
Index: /applications/doprava/texty/delka_cyklu/00_Chapters/Abstract.tex~
===================================================================
--- /applications/doprava/texty/delka_cyklu/00_Chapters/Abstract.tex~ (revision 1150)
+++ /applications/doprava/texty/delka_cyklu/00_Chapters/Abstract.tex~ (revision 1150)
@@ -0,0 +1,44 @@
+\newbox\odstavecbox
+\newlength\vyskaodstavce
+\newcommand\odstavec[2]{%
+    \setbox\odstavecbox=\hbox{%
+         \parbox[t]{#1}{#2\vrule width 0pt depth 4pt}}%
+    \global\vyskaodstavce=\dp\odstavecbox
+    \box\odstavecbox}
+\newcommand{\delka}{120mm} % šířka textů ve 2. sloupci tabulky
+\def \abstrCZ {
+V této práci je popsán návrh a implementace algoritmu na řízení dopravy pomocí nastavení délky cyklu řadiče.
+Tento algoritmus je navržen podle teorie multiagentních systémů a otestován na mikrosimulátoru dopravy AIMSUN.
+V závěru jsou vyhodnoceny výsledky srovnáním s pevnou referenční hodnotou.
+}
+
+\def \abstrEN {
+This work represents design and implemetantion of algorithm, which purpose is to control the traffic lights by setting length of cycle time.
+This algorithm is designed according to the theory of multiagent systems and tested on microsimulator of traffic AIMSUN.
+In the end of this work, there are results of tests, compared with fixed reference value of time cycle.
+}
+
+\begin{tabular}{l l}
+  {Název práce:} & \\
+  \multicolumn{2}{l}{\bf \Bookname} \\[5mm]
+  {Autor:} & \autor \\[5mm] 
+  {Obor:} & \obor \\
+  {Zaměření:} & \zamereni \\
+  {Druh práce:} & Bakalářská práce \\[5mm]
+  {Vedoucí práce:} & {\vedouci } \\[5mm]
+  {Konzultant:} & {\konzultant } \\[5mm]
+  Abstrakt: & \\ 
+  \multicolumn{2}{l}{\odstavec{\textwidth}{\abstrCZ }} \\[5mm]
+  & \\
+  {Klíčová slova:} & \\ 
+  \multicolumn{2}{l}{multiagentni systémy, decentralizované řízení, řízení dopravy, AIMSUN} \\[20mm]
+
+  {Title:} & \\
+  \multicolumn{2}{l}{\bf \BooknameEN}\\[5mm]
+  {Author:} & \autor \\[5mm]
+  Abstract: & \\ 
+  \multicolumn{2}{l}{\odstavec{\textwidth}{\abstrEN} } \\[5mm]
+  & \\
+  {Key words:} & \\ 
+  \multicolumn{2}{l}{multiagent systems, decentralized control, control of traffic lights, AIMSUN} \\[20mm]
+\end{tabular} 
Index: /applications/doprava/texty/delka_cyklu/00_Chapters/Acknow.tex.backup
===================================================================
--- /applications/doprava/texty/delka_cyklu/00_Chapters/Acknow.tex.backup (revision 1150)
+++ /applications/doprava/texty/delka_cyklu/00_Chapters/Acknow.tex.backup (revision 1150)
@@ -0,0 +1,1 @@
+ oooo
Index: /applications/doprava/texty/delka_cyklu/00_Chapters/Abstract.tex.backup
===================================================================
--- /applications/doprava/texty/delka_cyklu/00_Chapters/Abstract.tex.backup (revision 1150)
+++ /applications/doprava/texty/delka_cyklu/00_Chapters/Abstract.tex.backup (revision 1150)
@@ -0,0 +1,1 @@
+ 
Index: /applications/doprava/texty/delka_cyklu/00_Chapters/Declar.tex~
===================================================================
--- /applications/doprava/texty/delka_cyklu/00_Chapters/Declar.tex~ (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/00_Chapters/Declar.tex~ (revision 1150)
@@ -1,1 +1,7 @@
-\chapter{AAAAA}
+\vspace{0.5cm}
+Prohlašuji, že jsem předloženou práci vypracoval samostatně a že jsem uvedl veškerou
+použitou literaturu.
+\vspace{100mm}
+
+Praha, 8. července 2010 \hfill \autor \qquad
+\vspace{5mm}
Index: /applications/doprava/texty/delka_cyklu/07_Ending/Ending.tex~
===================================================================
--- /applications/doprava/texty/delka_cyklu/07_Ending/Ending.tex~ (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/07_Ending/Ending.tex~ (revision 1150)
@@ -27,5 +27,11 @@
 odstranění nedostatků při zpracování dat, či zpřesnění některých parametrů.
 Pod dojmem dosavadních výsledků si ale myslím, že decentralizované řízení multiagentím systémem
-je správnou cestou ve vývoji řízení dopravy.
+je tern pravý směr ve vývoji řízení dopravy.
+\\
+\\
+Zlepšení výsledků se také dá očekávat při možnosti nastavení více parametrů najednou, třeba délky cyklu a offsetu.
+Tyto dva parametry jsou vzájemně propojené. Složitost vyjednávání by se samozřejmě dosti zvětšila, neboť hodnota jednoho
+parametru by ovlivňovala rozhodování o druhém, a to ve smyslu ne jednoho, ale celé skupiny agentů. Touto kombinací by se však
+mohlo dosáhnout rapidního zlepšení.
 
 
Index: /applications/doprava/texty/delka_cyklu/07_Ending/Ending.tex.backup
===================================================================
--- /applications/doprava/texty/delka_cyklu/07_Ending/Ending.tex.backup (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/07_Ending/Ending.tex.backup (revision 1150)
@@ -1,5 +1,5 @@
 \chapter{Závěr}
 
-Úkolem této práce bylo navrhnout jednoduchý algoritmus na decentralizované řízení
+Úkolem této práce bylo navrhnout základní algoritmus na decentralizované řízení
 dopravní signalizace za použití multiagentnního systému a provedením 
 základních měření zjistit, jestli může být tento způsob řízení 
@@ -20,6 +20,12 @@
 na standardní úrovni, na kterou je referenční délka cyklu optimalizovaná,
 algoritmus sice dopravní situaci většinou nezlepší. Pokud však dojde ke zhoršení,
-není nijak výrazné. 
+není nijak výrazné. Při výrazně vyšší nebo nižší intenzitě provozu, než na jakou je délka cyklu
+optimalizována, se zdá, že vlivem algoritmu dochází k podstatnému zlepšení.
+\\
+\\ 
+Pro reálné nasazení algoritmu by bylo zapotřebí věnovat ještě mnoho času na jeho zdokonalení,
+odstranění nedostatků při zpracování dat, či zpřesnění některých parametrů.
+Pod dojmem dosavadních výsledků si ale myslím, že decentralizované řízení multiagentím systémem
+je tern pravý směr ve vývoji řízení dopravy.
 
 
-
Index: /applications/doprava/texty/delka_cyklu/bak.lof
===================================================================
--- /applications/doprava/texty/delka_cyklu/bak.lof (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/bak.lof (revision 1150)
@@ -0,0 +1,23 @@
+\select@language {czech}
+\addvspace {10\p@ }
+\addvspace {10\p@ }
+\contentsline {figure}{\numberline {2.1}{\ignorespaces Grafick\IeC {\'y} v\IeC {\'y}stup ze simul\IeC {\'a}toru AIMSUN\relax }}{4}{figure.caption.5}
+\contentsline {figure}{\numberline {2.2}{\ignorespaces Grafick\IeC {\'y} v\IeC {\'y}stup ze simul\IeC {\'a}toru AIMSUN - detail\relax }}{5}{figure.caption.6}
+\contentsline {figure}{\numberline {2.3}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 601\relax }}{7}{figure.caption.7}
+\contentsline {figure}{\numberline {2.4}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 495\relax }}{8}{figure.caption.8}
+\addvspace {10\p@ }
+\addvspace {10\p@ }
+\contentsline {figure}{\numberline {4.1}{\ignorespaces Porovn\IeC {\'a}n\IeC {\'\i } okam\IeC {\v z}it\IeC {\'e} a filtrovan\IeC {\'e} d\IeC {\'e}lky fronty \newline d\IeC {\'e}lka cyklu 80 s\relax }}{19}{figure.caption.9}
+\contentsline {figure}{\numberline {4.2}{\ignorespaces Porovn\IeC {\'a}n\IeC {\'\i } okam\IeC {\v z}it\IeC {\'e} a filtrovan\IeC {\'e} d\IeC {\'e}lky fronty \newline d\IeC {\'e}lka cyklu 40-120 s\relax }}{19}{figure.caption.10}
+\addvspace {10\p@ }
+\contentsline {figure}{\numberline {5.1}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{28}{figure.caption.11}
+\contentsline {figure}{\numberline {5.2}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} po\IeC {\v c}ty zastaven\IeC {\'\i }\relax }}{30}{figure.caption.14}
+\contentsline {figure}{\numberline {5.3}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} d\IeC {\'e}lky zastaven\IeC {\'\i }\relax }}{30}{figure.caption.15}
+\contentsline {figure}{\numberline {5.4}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{31}{figure.caption.16}
+\contentsline {figure}{\numberline {5.5}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } hodnotu d\IeC {\'e}lky cyklu 80s\relax }}{32}{figure.caption.17}
+\contentsline {figure}{\numberline {5.6}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } hodnotu d\IeC {\'e}lky cyklu 120s\relax }}{32}{figure.caption.18}
+\contentsline {figure}{\numberline {5.7}{\ignorespaces Graf d\IeC {\'e}lky cyklu $T_c [s]$ a z\IeC {\'a}znam\IeC {\r u} detektor\IeC {\r u} [-]\relax }}{33}{figure.caption.19}
+\contentsline {figure}{\numberline {5.8}{\ignorespaces Graf pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e}ho zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } d\IeC {\'e}lkou cyklu $T_c = 80s$\relax }}{34}{figure.caption.20}
+\contentsline {figure}{\numberline {5.9}{\ignorespaces Graf pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'y}ch po\IeC {\v c}t\IeC {\r u} zastaven\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s d\IeC {\'e}lkou cyklu $T_c = 80s$\relax }}{34}{figure.caption.21}
+\contentsline {figure}{\numberline {5.10}{\ignorespaces Graf pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'y}ch rychlost\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } d\IeC {\'e}lkou cyklu $T_c = 80s$\relax }}{35}{figure.caption.22}
+\addvspace {10\p@ }
